--- title: "create-box" slug: "create-box" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/create-box" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # create-box Available in VPC Create a box. This is an infrastructure creation that takes some time, so it will be processed asynchronously. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/box/create-box | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `description` | String | Optional | Box description | | `createBoxInfo` | Object | Required | Box creation information | | `createBoxInfo.connectServerList` | Array | Required | Connect server list: [connectServerList](/docs/en/create-box#connectServerList) - Set between 1-4 servers. | | `createBoxInfo.linuxServerList` | Array | Required | Linux server list: [linuxServerList](/docs/en/create-box#linuxServerList) | | `createBoxInfo.windowsServerList` | Array | Conditional | [Windows Server list: [windowsServerList](/docs/en/create-box#windowsServerList) - Set 1-4 servers. - Required when not setting `linuxServerList` | | `createBoxInfo.nasList` | Array | Required | NAS list: [nasList](/docs/en/create-box#nasList) | | `createBoxInfo.hadoopList` | Array | Optional | Hadoop cluster list: [hadoopList](/docs/en/create-box#hadoopList) | | `createBoxInfo.tensorFlowCpuServerList` | Array | Conditional | TensorFlow CPU server list: [tensorFlowCpuServerList](/docs/en/create-box#tensorFlowCpuServerList) - Set 1-4 servers. | | `createBoxInfo.tensorFlowGpuServerList` | Array | Conditional | TensorFlow GPU server list: [tensorFlowGpuServerList](/docs/en/create-box#tensorFlowGpuServerList) - Set 1-2 servers. | #### `connectServerList` The following describes `connectServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `specCode` | String | Required | Connect server spec code - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Optional | Connect server software code - See [get-product-spec](/docs/en/get-product-spec). | | `storageSize` | Integer | Required | Connect server block storage size (GB) - 10-2000 - Set in 10 GB increments. | | `userPassword1` | String | Conditional | Connect server ncp1 account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | | `userPassword2` | String | Conditional | Connect server ncp2 account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `linuxServerList` The following describes `linuxServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `specCode` | String | Required | Linux server spec code - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Required | Linux server software code | | `storageSize` | Integer | Required | Linux server block storage size (GB) - 10-2000 - Set in 10 GB increments. | | `userPassword` | String | Required | Linux server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `windowsServerList` The following describes `windowsServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `specCode` | String | Required | Windows server spec code - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Required | Windows server software code | | `storageSize` | Integer | Required | Windows server block storage size (GB) - 10-2000 - Set in 10 GB increments. | | `userPassword` | String | Required | Windows server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `nasList` The following describes `nasList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `nasSize` | Integer | Optional | NAS volume size (GB) - 500-10,000 - Set in 100 GB increments. | | `count` | Integer | Optional | NAS count | #### `hadoopList` The following describes `hadoopList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `EdgeNodeSpecCode` | String | Optional | Edge node spec code - See [get-product-spec](/docs/en/get-product-spec). | | `masterNodeSpecCode` | String | Optional | Master node spec code - See [get-product-spec](/docs/en/get-product-spec). | | `masterNodeStorageSize` | Integer | Optional | Master node block storage size (GB) - 100-2000 - Set in 10 GB increments. | | `workerNodeSpecCode` | String | Optional | Worker node spec code - See [get-product-spec](/docs/en/get-product-spec). | | `workerNodeCount` | Integer | Optional | Worker node count | | `workerNodeStorageSize` | Integer | Optional | Worker node block storage size (GB) - 100-2000 - Set in 10 GB increments. | | `userPassword` | String | Conditional | Hadoop cluster account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `tensorFlowCpuServerList` The following describes `tensorFlowCpuServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `specCode` | String | Optional | TensorFlow CPU server spec code - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Optional | TensorFlow CPU server software code | | `storageSize` | Integer | Optional | TensorFlow CPU server block storage size (GB) - 100-2000 - Set in 10 GB increments. | | `userPassword` | String | Conditional | TensorFlow CPU server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `tensorFlowGpuServerList` The following describes `tensorFlowGpuServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `specCode` | String | Optional | TensorFlow GPU server spec code - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Optional | TensorFlow GPU server software code | | `storageSize` | Integer | Optional | TensorFlow GPU server block storage size (GB) - 100-2000 - Set in 10 GB increments. | | `userPassword` | String | Conditional | TensorFlow GPU server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | ### Request example The request example is as follows: ``` curl --location --request POST 'https://datafence.apigw.ntruss.com/api/v1/box/create-box' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "fenceId": 26, "createBoxInfo": { "connectServerList": [ { "specCode": "SVR.VSVR.STAND.C004.M016.NET.SSD.B100.G002", "softwareCode": "", "storageSize": 300, "userPassword1": "Password1000#", "userPassword2": "Password1000#" } ], "linuxServerList": [ { "specCode": "SVR.VSVR.STAND.C004.M016.NET.SSD.B050.G002", "softwareCode": "SW.VSVR.OS.LNX64.UBNTU.SVR2004.B050", "storageSize": 500, "userPassword": "Password1000#" } ], "windowsServerList": [ { "specCode": "SVR.VSVR.STAND.C004.M016.NET.SSD.B100.G002", "softwareCode": "SW.VSVR.OS.WND64.WND.SVR2019EN.B100", "storageSize": 500, "userPassword": "Password1000#" } ], "nasList": [ { "nasSize": 500, "count": 1 } ] } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | String | - | API processing result message | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "message": "Box creation requested." } ```